List noise-reduction suggestions
GET
/v1/suggestion/
const url = 'https://example.com/v1/suggestion/?kind=0&status=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/suggestion/?kind=0&status=0' \ --header 'Authorization: Bearer <token>'Precomputed suggestions with their lifecycle status. Listing refreshes the account’s suggestions when the stored ones are older than the freshness window.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
The pagination cursor value.
kind
integer
0- silence1- flappy2- threshold
page_size
integer
Number of results to return per page.
search
string
A search term.
status
integer
0- pending1- applied2- dismissed3- stale
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
kind
required
0- silence1- flappy2- threshold
integer
status
0- pending1- applied2- dismissed3- stale
integer
metric
required
string format: uuid
agent
required
string format: uuid
target_label
required
string
reason
required
string
payload
required
cluster_size
required
integer
representative_event
required
string format: uuid
first_detected_at
required
string format: date-time
last_confirmed_at
required
string format: date-time
resolved_at
required
string format: date-time
applied_object_ids
resolved_by
required
string format: uuid
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "kind": 0, "status": 0 } ]}